Requirements

iPhone version

  • iOS 7 or later
  • iPhone 4, iPod touch 5th generation or later devices
  • Optimized for iPhone 5, 6 and 6 Plus screens

Buy iPhone App

iPad version

  • iOS 8
  • iPad 2 or later devices

Buy iPad App